# Setting a Scheme Identifier

Source: https://docs.gocardless.com/docs/gc-embed/setting-a-scheme-identifier

# Setting a Scheme Identifier

> **Info:**
> Setting a scheme identifier is optional. By default payments will use the account level scheme
>   identifier.

In this step of the GoCardless Embed guide, you will create a scheme identifier for a given creditor.

In order for your merchant's name to appear on their payers' bank statements, you will need to request custom scheme identifiers.

Different schemes have different scheme identifiers (e.g. SUNs in Bacs and CIDs in SEPA). Therefore you must request a scheme identifier for each scheme you plan to collect payments in.

## Creating a scheme identifier

You can create a scheme identifier by performing a POST request to the `/scheme_identifiers` endpoint. The required parameters are:

| Parameter       | Description                                                                                                                                                                                                                                      |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| name            | The name which will appear on the payer's bank statement. This will usually be the merchant's trading name.                                                                                                                                      |
| scheme          | The scheme which this scheme identifier applies to. The supported schemes for the GoCardless Embed product are: `bacs` (UK direct debit), `faster_payments` (UK Pay By Banks), `sepa_core` (Eurozone direct debit), and `ach` (US direct debit). |
| links[creditor] | The ID of the creditor to link the scheme identifier to. Creditors start with 'CR'                                                                                                                                                               |

Examples of how to make this request using the GoCardless [client libraries](/docs/developer-resources/client-libraries):

```http
POST https://api.gocardless.com/scheme_identifiers HTTP/1.1
Content-Type: application/json
\
  \}
\}

HTTP/1.1 201 Created
Location: /scheme_identifiers/SU123
Content-Type: application/json
\,
\}
```

```php
\$client->schemeIdentifiers()->create([
'params' => [
'scheme' => 'bacs',
'name' => 'Example Ltd'
'links' => ['creditor' => 'CR123']]
]
]);
```

```python
client.scheme_identifiers.create(params=\
\})
```

```ruby
@client.scheme_identifiers.create(
params: \
\}
)
```

```java
SchemeIdentifier schemeIdentifier = client.schemeIdentifiers().create()
.withScheme(SchemeIdentifierService.SchemeIdentifierCreateRequest.Scheme.BACS)
.withName("The Wine Club")
.withLinksCreditor("CR123")
.execute();
```

```javascript
const schemeIdentifier = await client.schemeIdentifiers.create(\,
\});
```

```net
SchemeIdentifierCreateRequest schemeIdentifierRequest = new SchemeIdentifierCreateRequest
\
\};

var schemeIdentifierResponse = await client.SchemeIdentifiers.CreateAsync(schemeIdentifierRequest);

GoCardless.Resources.SchemeIdentifier schemeIdentifier = schemeIdentifierResponse.SchemeIdentifier;
```

```go
package main

	gocardless "github.com/gocardless/gocardless-pro-go/v6"
)

accessToken := "your_access_token_here"
config, err := gocardless.NewConfig(accessToken, gocardless.WithEndpoint(gocardless.SandboxEndpoint))
if err != nil \
client, err := gocardless.New(config)
if err != nil \

context := context.Background()
schemeIdentifierCreateParams := gocardless.SchemeIdentifierCreateParams\,
\}
schemeIdentifier, err := client.SchemeIdentifiers.Create(context, schemeIdentifierCreateParams)
if err != nil \
```

```bash
curl --silent \\
-H "Content-Type: application/json" \\
-H "Gocardless-Version: 2015-07-06" \\
-H "Authorization: Bearer \$\" \\
"https://api.gocardless.com/scheme_identifiers" \\
-d @- << EOF
\
\}
\}
EOF
```

For more details, see the [API reference docs for creating scheme identifiers](/docs/api-reference/scheme-identifier#create-a-scheme-identifier).

## Scheme identifier status

The scheme identifier status will be `pending` while GoCardless is processing the request. Once the scheme identifier is ready to be used the status will be updated to `active`. At this point, GoCardless will emit a [scheme identifier activated event](/docs/api-reference/events/scheme-identifiers#activated) via webhook to notify you of this change.

In Bacs, it will take up to five working days for a scheme identifier to become active. On other schemes, including SEPA, this happens instantly.

## What's next?

  
#### [Setting Up Mandates & Payments](/docs/gc-embed/setting-up-mandates-collecting-payments)

Use Billing Requests to set up Direct Debit mandates and collect payments from your customers.

  
#### [API Reference: Scheme Identifiers](/docs/api-reference/scheme-identifier)

Full reference documentation for the Scheme Identifiers API.